Package org.apache.sysds.runtime.instructions

## Class GPUInstructionParser

- java.lang.Object
- - org.apache.sysds.runtime.instructions.InstructionParser
  - - org.apache.sysds.runtime.instructions.GPUInstructionParser

    public class GPUInstructionParser
    extends InstructionParser

### Constructor Summary

Constructors
`GPUInstructionParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static GPUInstruction` `parseSingleInstruction​(String str)`
`static GPUInstruction` `parseSingleInstruction​(GPUInstruction.GPUINSTRUCTION_TYPE gputype, String str)`

### Methods inherited from class org.apache.sysds.runtime.instructions.InstructionParser

`parseMixedInstructions`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GPUInstructionParser

    public GPUInstructionParser()

### Method Detail

#### parseSingleInstruction

    public static GPUInstruction parseSingleInstruction​(String str)

#### parseSingleInstruction

    public static GPUInstruction parseSingleInstruction​(GPUInstruction.GPUINSTRUCTION_TYPE gputype,
                                                        String str)